Skip to content

Get Bound Social Account List API

Used to get the social accounts bound to the user. On success, the social account list is returned; on failure, error information is returned.

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
AuthorizationIDtoken returned by the user login API. Format is Bearer {id_token}YesStringBearer eyJraWQiOiI1ZWZhN2ZmZDA2Z...

Request Parameters

None

Response Example

Success Example

HTTP/1.1 200 OK

json
{
		"social": [
		    {
		        "id": "20210516130247432-C84E-E5EA8CFE7",
		        "userId": "20210515202200788-094F-074FB1341",
		        "socialType": "weixin",
		        "social_uid": "001GKgGa15HGZA0aOxIa1bFktp1GKgG4_social_uid",
		        "socialNickname": null,
		        "socialHeadImage": null,
		        "socialAccountDetails": null,
		        "createdAt": "2021-05-16 13:02:48.513",
		        "updatedAt": "2021-05-16 13:02:48.513"
		    }
		]
}

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "SDK.COMMON.1007",
    "error_msg": "state_token parameter error"
}

Response Parameters

Parameter NameNameTypeDescription
socialSocial information listListSocial information list
idSystem IDStringSystem ID automatically generated by IDaaS
userIdUser IDStringUser ID
socialTypeSocial typeStringSocial type
social_uidSocial IDStringSocial ID (corresponding to the third-party ID, WeChat: openId)
socialNicknameNicknameStringNickname
socialHeadImageAvatarStringAvatar
socialAccountDetailsDescriptionStringDescription
createdAtCreation timeStringCreation time
updatedAtUpdate timeStringUpdate time

BambooCloud IDaaS Open Platform